Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.flow
Interface FlowStep<Config>

All Known Implementing Classes:
  BaseFlowStep, HadoopFlowStep, LocalFlowStep, MapReduceFlowStep

    public interface FlowStep<Config>

Class FlowStep is an internal representation of a given "job" possibly to be executed on a remote cluster. During planning, pipe assemblies are broken down into "steps" and encapsulated in this class.

FlowSteps are submitted in order of dependency. If two or more steps do not share the same dependencies and all can be scheduled simultaneously, the `getSubmitPriority()` value determines the order in which all steps will be submitted for execution. The default submit priority is 5.

Field Summary
`static String` | `CASCADING_FLOW_STEP_ID`

Method Summary
`boolean` | `containsPipeNamed(String pipeName)` Returns true if this FlowStep contains a pipe/branch with the given name.
`Set<Tap>` | `getAllAccumulatedSources()`
`Config` | `getConfig()` Method getConfig returns the current initialized configuration.
`Flow<Config>` | `getFlow()`
`String` | `getFlowID()`
`String` | `getFlowName()` Method getParentFlowName returns the parentFlowName of this FlowStep object.
`FlowStepStats` | `getFlowStepStats()`
`Group` | `getGroup()`
`List<Group>` | `getGroups()`
`String` | `getID()` Method getId returns the id of this FlowStep object.
`String` | `getName()` Method getName returns the name of this FlowStep object.
`Tap` | `getSink()`
`Set<String>` | `getSinkName(Tap sink)`
`Set<Tap>` | `getSinks()`
`Tap` | `getSinkWith(String identifier)`
`Set<String>` | `getSourceName(Tap source)`
`Set<Tap>` | `getSources()`
`Tap` | `getSourceWith(String identifier)`
`String` | `getStepDisplayName()` Method getStepDisplayName returns the stepDisplayName of this FlowStep object.
`int` | `getStepNum()`
`Map<HashJoin,Tap>` | `getStreamedSourceByJoin()`
`int` | `getSubmitPriority()` Method getSubmitPriority returns the submitPriority of this FlowStep object.
`Tap` | `getTrap(String name)`
`Set<Tap>` | `getTraps()`
`void` | `setSubmitPriority(int submitPriority)` Method setSubmitPriority sets the submitPriority of this FlowStep object.

Field Detail

### CASCADING_FLOW_STEP_ID

    static final String CASCADING_FLOW_STEP_ID

See Also:
  Constant Field Values

Method Detail

### getID

    String getID()

  Method getId returns the id of this FlowStep object.

  Returns:
    the id (type int) of this FlowStep object.

### getStepNum

    int getStepNum()

### getName

    String getName()

  Method getName returns the name of this FlowStep object.

  Returns:
    the name (type String) of this FlowStep object.

### getFlow

    Flow<Config> getFlow()

### getFlowID

    String getFlowID()

### getFlowName

    String getFlowName()

  Method getParentFlowName returns the parentFlowName of this FlowStep object.

  Returns:
    the parentFlowName (type Flow) of this FlowStep object.

### getConfig

    Config getConfig()

  Method getConfig returns the current initialized configuration.

  The returned configuration is mutable and may be changed prior to this step being started or submitted.

  Returns:
    the current initialized configuration

### getStepDisplayName

    String getStepDisplayName()

  Method getStepDisplayName returns the stepDisplayName of this FlowStep object.

  Returns:
    the stepName (type String) of this FlowStep object.

### getSubmitPriority

    int getSubmitPriority()

  Method getSubmitPriority returns the submitPriority of this FlowStep object.

  10 is lowest, 1 is the highest, 5 is the default.

  Returns:
    the submitPriority (type int) of this FlowStep object.

### setSubmitPriority

    void setSubmitPriority(int submitPriority)

  Method setSubmitPriority sets the submitPriority of this FlowStep object.

  10 is lowest, 1 is the highest, 5 is the default.

  Parameters:
    `submitPriority` - the submitPriority of this FlowStep object.

### getGroup

    Group getGroup()

### getGroups

    List<Group> getGroups()

### getStreamedSourceByJoin

    Map<HashJoin,Tap> getStreamedSourceByJoin()

### getAllAccumulatedSources

    Set<Tap> getAllAccumulatedSources()

### getSources

    Set<Tap> getSources()

### getSinks

    Set<Tap> getSinks()

### getSink

    Tap getSink()

### getSourceName

    Set<String> getSourceName(Tap source)

### getSinkName

    Set<String> getSinkName(Tap sink)

### getSourceWith

    Tap getSourceWith(String identifier)

### getSinkWith

    Tap getSinkWith(String identifier)

### getTraps

    Set<Tap> getTraps()

### getTrap

    Tap getTrap(String name)

### containsPipeNamed

    boolean containsPipeNamed(String pipeName)

  Returns true if this FlowStep contains a pipe/branch with the given name.

  Parameters:
    `pipeName` - the name of the Pipe
  Returns:
    a boolean

### getFlowStepStats

    FlowStepStats getFlowStepStats()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.